| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
DHHVisitor Class Reference

`#include <GaudiKernel/DataHandleHolderVisitor.h>`

Inheritance diagram for DHHVisitor:
[legend]
Collaboration diagram for DHHVisitor:
[legend]

## Public Member Functions
| DHHVisitor (DataObjIDColl &ido, DataObjIDColl &odo)
virtual void | visit (const IDataHandleHolder *idhh)
Public Member Functions inherited from IDataHandleVisitor
virtual | ~IDataHandleVisitor ()

## Private Attributes
DataObjIDColl & | m_ido
DataObjIDColl & | m_odo

## Detailed Description

Definition at line 9 of file DataHandleHolderVisitor.h.

## Constructor & Destructor Documentation

DHHVisitor::DHHVisitor | ( | DataObjIDColl & | ido,
|  | DataObjIDColl & | odo
| ) |  |

Definition at line 6 of file DataHandleHolderVisitor.cpp.

6 :
7 m_ido(ido), m_odo(odo) {
8 }
DHHVisitor::m_ido
DataObjIDColl & m_ido
Definition: DataHandleHolderVisitor.h:15
DHHVisitor::m_odo
DataObjIDColl & m_odo
Definition: DataHandleHolderVisitor.h:15

## Member Function Documentation

void DHHVisitor::visit | ( | const IDataHandleHolder * | idhh | ) |
| virtual

Implements IDataHandleVisitor.

Definition at line 12 of file DataHandleHolderVisitor.cpp.

12 {
13
14 if (idhh == 0) return;
15 for (auto h : idhh->inputHandles()) {
16 m_ido.insert(h->fullKey());
17 }
18 for (auto h : idhh->outputHandles()) {
19 m_odo.insert(h->fullKey());
20 }
21 m_ido.insert(idhh->extraInputDeps().begin(), idhh->extraInputDeps().end());
22 m_odo.insert(idhh->extraOutputDeps().begin(), idhh->extraOutputDeps().end());
23
24 }
IDataHandleHolder::inputHandles
virtual std::vector< Gaudi::DataHandle * > inputHandles() const =0
IDataHandleHolder::extraOutputDeps
virtual const DataObjIDColl & extraOutputDeps() const =0
std::unordered_set::end
T end(T...args)
DHHVisitor::m_ido
DataObjIDColl & m_ido
Definition: DataHandleHolderVisitor.h:15
HiveAlgSequencer.h
tuple h
Definition: HiveAlgSequencer.py:24
std::unordered_set::insert
T insert(T...args)
IDataHandleHolder::outputHandles
virtual std::vector< Gaudi::DataHandle * > outputHandles() const =0
DHHVisitor::m_odo
DataObjIDColl & m_odo
Definition: DataHandleHolderVisitor.h:15
std::unordered_set::begin
T begin(T...args)
IDataHandleHolder::extraInputDeps
virtual const DataObjIDColl & extraInputDeps() const =0

## Member Data Documentation

DataObjIDColl& DHHVisitor::m_ido
| private

Definition at line 15 of file DataHandleHolderVisitor.h.

DataObjIDColl & DHHVisitor::m_odo
| private

Definition at line 15 of file DataHandleHolderVisitor.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/DataHandleHolderVisitor.h
- GaudiKernel/src/Lib/DataHandleHolderVisitor.cpp